package md

type UserListReq struct {
	Limit           int    `json:"limit" binding:"required"`
	Page            int    `json:"page" binding:"required"`
	Nickname        string `json:"nickname" label:"支付宝昵称"`
	Phone           string `json:"phone" label:"手机号"`
	CreateTimeStart string `json:"create_time_start" label:"创建时间-起始"`
	CreateTimeEnd   string `json:"create_time_end" label:"创建时间-截止"`
}

type UserListResp struct {
	List  []UserList `json:"list"`
	Total int64      `json:"total"`
}
type UserList struct {
	Id               int    `json:"id" label:"id"`
	Nickname         string `json:"nickname" label:"支付宝昵称"`
	Phone            string `json:"phone" label:"联系电话"`
	Avatar           string `json:"avatar" label:"头像"`
	CreateAt         string `json:"create_at" label:"创建时间"`
	BindUserIdentity []struct {
		Id             int    `json:"id" label:"id"`
		IdNo           string `json:"id_no" label:"身份证号"`
		CertType       int    `json:"cert_type" label:"证件类型"`
		Name           string `json:"name" label:"姓名"`
		EnterpriseName string `json:"enterprise_name" label:"企业名"`
		EnterpriseKind int32  `json:"enterprise_kind" label:"企业类型"`
		Kind           int    `json:"kind" label:"身份类型"`
	} `json:"bind_user_identity" label:"绑定身份"`
}
