package svc

import (
	"applet/app/customer/md"
	"applet/app/db"
	"applet/app/db/model"
	"applet/app/utils"
	"fmt"
)

func FactoryOrderList(req md.FactoryOrderListReq) (m []model.FactoryOrd, total int64, err error) {
	sess := db.Db.Desc("id").Where("user_identity_id =?", req.UserIdentityId).Limit(req.Limit, (req.Page-1)*req.Limit)
	if req.OrderStatus != 0 {
		sess.And("order_status = ?", req.OrderStatus)
	}
	if req.StartDate != "" {
		sess.And("create_at >= ?", req.StartDate)
	}
	if req.EndDate != "" {
		sess.And("create_at <= ?", req.EndDate)
	}
	total, err = sess.FindAndCount(&m)
	if err != nil {
		return
	}
	return
}

func FactoryOrderStatistic(req md.FactoryOrderListReq) (total float64, err error) {
	var sql = fmt.Sprintf("SELECT SUM(total_amount) AS trade_amount_total FROM factory_ord where user_identity_id = '%d'", req.UserIdentityId)
	if req.OrderStatus != 0 {
		sql += fmt.Sprintf(" and order_status = %d", req.OrderStatus)
	}
	if req.StartDate != "" {
		sql += fmt.Sprintf(" and create_at >= '%s'", req.StartDate)
	}
	if req.EndDate != "" {
		sql += fmt.Sprintf(" and create_at <= '%s'", req.EndDate)
	}
	mapArr1, err := db.QueryNativeString(db.Db, sql)
	if err != nil {
		return
	}
	if mapArr1 != nil {
		total = utils.StrToFloat64(mapArr1[0]["trade_amount_total"])
	}
	return
}

func FactoryUserIdentityOrderStatistic(userIdentityId int, sDate, eDate, column string) (total float64, err error) {
	var sql = fmt.Sprintf("SELECT SUM(%s) AS total FROM factory_ord where user_identity_id = '%d' and gmt_payment >= '%s' and gmt_payment <= '%s'",
		column, userIdentityId, sDate, eDate)
	mapArr1, err := db.QueryNativeString(db.Db, sql)
	if err != nil {
		return
	}
	if mapArr1 != nil {
		total = utils.StrToFloat64(mapArr1[0]["total"])
	}
	return
}
