package svc

import (
	"applet/app/customer/enum"
	"applet/app/customer/md"
	"applet/app/db"
	"applet/app/db/model"
	"applet/app/utils"
	"fmt"
)

func SupportOrderList(req md.SelfSupportForSchoolOrderListReq) (m []model.SelfSupportForSchoolOrd, total int64, err error) {
	sess := db.Db.Desc("id").Where("user_identity_id =?", req.UserIdentityId).Limit(req.Limit, (req.Page-1)*req.Limit)
	if req.OrderStatus != 0 {
		sess.And("order_status = ?", req.OrderStatus)
	}
	if req.StartDate != "" {
		sess.And("create_at >= ?", req.StartDate)
	}
	if req.EndDate != "" {
		sess.And("create_at <= ?", req.EndDate)
	}
	total, err = sess.FindAndCount(&m)
	if err != nil {
		return
	}
	return
}

func SupportOrderStatistic(req md.SelfSupportForSchoolOrderListReq) (total float64, err error) {
	var sql = fmt.Sprintf("SELECT SUM(trade_amount) AS trade_amount_total FROM self_support_for_school_ord where user_identity_id = '%d'", req.UserIdentityId)
	if req.OrderStatus != 0 {
		sql += fmt.Sprintf(" and order_status = %d", req.OrderStatus)
	}
	if req.StartDate != "" {
		sql += fmt.Sprintf(" and create_at >= '%s'", req.StartDate)
	}
	if req.EndDate != "" {
		sql += fmt.Sprintf(" and create_at <= '%s'", req.EndDate)
	}
	mapArr1, err := db.QueryNativeString(db.Db, sql)
	if err != nil {
		return
	}
	if mapArr1 != nil {
		total = utils.StrToFloat64(mapArr1[0]["trade_amount_total"])
	}
	return
}

func SupportUserIdentityOrderStatistic(userIdentityId int, sDate, eDate string) (total float64, err error) {
	var sql = fmt.Sprintf("SELECT SUM(trade_amount) AS trade_amount_total FROM self_support_for_school_ord where user_identity_id = '%d' and face_time >= '%s' and face_time <= '%s'",
		userIdentityId, sDate, eDate)
	mapArr1, err := db.QueryNativeString(db.Db, sql)
	if err != nil {
		return
	}
	if mapArr1 != nil {
		total = utils.StrToFloat64(mapArr1[0]["trade_amount_total"])
	}
	return
}

func SupportUserIdentityOrderStatisticForArrears(userIdentityId int) (total float64, err error) {
	//var sql = fmt.Sprintf("SELECT SUM(trade_amount) AS trade_amount_total FROM self_support_for_school_ord where user_identity_id = '%d' "+
	//	"and order_status = '%d' and debt_business_code = '%s'",
	//	userIdentityId, enum.SelfSupportForSchoolOrdOrderStatusForWait, md.DebtBusinessCodeForArrears)
	var sql = fmt.Sprintf("SELECT SUM(trade_amount) AS trade_amount_total FROM self_support_for_school_ord where user_identity_id = '%d' "+
		"and order_status = '%d'",
		userIdentityId, enum.SelfSupportForSchoolOrdOrderStatusForWait)
	mapArr1, err := db.QueryNativeString(db.Db, sql)
	if err != nil {
		return
	}
	if mapArr1 != nil {
		total = utils.StrToFloat64(mapArr1[0]["trade_amount_total"])
	}
	return
}
