package model

type FactoryIdentity struct {
	Id                int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	EnterpriseId      int    `json:"enterprise_id" xorm:"not null default 0 comment('所属单位id') INT(11)"`
	Name              string `json:"name" xorm:"not null default '' comment('名称') VARCHAR(255)"`
	State             int    `json:"state" xorm:"not null default 1 comment('状态(1:正常 2:冻结)') TINYINT(1)"`
	Memo              string `json:"memo" xorm:"not null default '' comment('备注') VARCHAR(255)"`
	IsSubsidy         int    `json:"is_subsidy" xorm:"not null default 0 comment('是否优惠补贴(0:否 1:是)') TINYINT(1)"`
	SubsidyAmount     string `json:"subsidy_amount" xorm:"not null default 0.00 comment('补贴金额') DECIMAL(8,2)"`
	LeastPayAmount    string `json:"least_pay_amount" xorm:"not null default 0.00 comment('最少支付金额') DECIMAL(8,2)"`
	IsLimitConsumeNum int    `json:"is_limit_consume_num" xorm:"not null default 0 comment('是否限制消费次数') TINYINT(1)"`
	LimitConsumeNum   int    `json:"'limit_consume_num'" xorm:"default 0 comment('限制消费次数/日') TINYINT(1)"`
	CreateAt          string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt          string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
