package model

type FactoryOrd struct {
	Id              int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	EnterpriseId    int    `json:"enterprise_id" xorm:"not null default 0 comment('所属单位id') INT(11)"`
	Uid             int    `json:"uid" xorm:"not null default 0 comment('用户id') INT(11)"`
	UserIdentityId  int    `json:"user_identity_id" xorm:"not null default 0 comment('用户身份id') INT(11)"`
	OutOrderNo      string `json:"out_order_no" xorm:"not null default '' comment('外部订单号,设备端产生') VARCHAR(255)"`
	TradeNo         string `json:"trade_no" xorm:"not null default '' comment('第三方交易号，支付宝，微信，ISV渠道等') VARCHAR(255)"`
	BuyerId         string `json:"buyer_id" xorm:"not null default '' comment('渠道买家标识') CHAR(100)"`
	TerminalId      string `json:"terminal_id" xorm:"not null default '' comment('设备编号') CHAR(100)"`
	TradeChannel    string `json:"trade_channel" xorm:"not null default '' comment('交易渠道') CHAR(100)"`
	StoreId         string `json:"store_id" xorm:"not null default '' comment('门店编号') CHAR(100)"`
	MerchantId      string `json:"merchant_id" xorm:"not null default '' comment('商户编码') CHAR(100)"`
	GmtPayment      string `json:"gmt_payment" xorm:"not null default '' comment('支付成功时间') CHAR(100)"`
	OrderStatus     int    `json:"order_status" xorm:"not null default 1 comment('交易状态 (1:支付成功 2:已退款 3:已关闭)') TINYINT(1)"`
	Subject         string `json:"subject" xorm:"not null default '' comment('订单主题') CHAR(50)"`
	TotalAmount     string `json:"total_amount" xorm:"not null default 0.00 comment('订单总金额') DECIMAL(8,2)"`
	DiscountAmount  string `json:"discount_amount" xorm:"not null default 0.00 comment('支付宝平台优惠金额') DECIMAL(8,2)"`
	MdiscountAmount string `json:"mdiscount_amount" xorm:"not null default 0.00 comment('支付宝商家优惠金额') DECIMAL(8,2)"`
	ReceiptAmount   string `json:"receipt_amount" xorm:"not null default 0.00 comment('实收金额') DECIMAL(8,2)"`
	BuyerPayAmount  string `json:"buyer_pay_amount" xorm:"not null default 0.00 comment('买家支付金额') DECIMAL(8,2)"`
	SubsidyAmount   string `json:"subsidy_amount" xorm:"not null default 0.00 comment('补贴金额') DECIMAL(8,2)"`
	ServiceFee      string `json:"service_fee" xorm:"not null default 0.00 comment('服务费用') DECIMAL(8,2)"`
	CreateAt        string `json:"create_at" xorm:"not null pk default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt        string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
