package enum

type FactoryOrdOrderStatus int32

const (
	FactoryOrdOrderStatusForSuccess = 1
	FactoryOrdOrderStatusForRefund  = 2
	FactoryOrdOrderStatusForClose   = 3
)

func (gt FactoryOrdOrderStatus) String() string {
	switch gt {
	case FactoryOrdOrderStatusForSuccess:
		return "支付成功"
	case FactoryOrdOrderStatusForRefund:
		return "已退款"
	case FactoryOrdOrderStatusForClose:
		return "已关闭"
	default:
		return "未知"
	}
}

type FactoryOrdTradeChannel string

const (
	FactoryOrdTradeChannelForAli = "alipay"
	FactoryOrdTradeChannelForWx  = "wechat"
)

func (gt FactoryOrdTradeChannel) String() string {
	switch gt {
	case FactoryOrdTradeChannelForAli:
		return "支付宝"
	case FactoryOrdTradeChannelForWx:
		return "微信"
	default:
		return "未知"
	}
}
